﻿def pasarCentaMonedas(c_inicial):
    '''
    >>> pasarCentaMonedas(1)
    (0, 0, 0, 0, 0, 0, 0, 1)
    >>> pasarCentaMonedas(2)
    (0, 0, 0, 0, 0, 0, 1, 0)
    >>> pasarCentaMonedas(5)
    (0, 0, 0, 0, 0, 1, 0, 0)
    >>> pasarCentaMonedas(10)
    (0, 0, 0, 0, 1, 0, 0, 0)
    >>> pasarCentaMonedas(20)
    (0, 0, 0, 1, 0, 0, 0, 0)
    '''
    e2, c_resto = c_inicial // 200, c_inicial % 200
    e, c_resto = c_resto // 100, c_resto % 100
    c50, c_resto = c_resto // 50, c_resto % 50
    c20, c_resto = c_resto // 20, c_resto % 20
    c10, c_resto = c_resto // 10, c_resto % 10
    c5, c_resto = c_resto // 5, c_resto % 5
    c2, c = c_resto // 2, c_resto % 2
    return e2, e, c50, c20, c10, c5, c2, c


if __name__ == "__main__":
    import doctest
    doctest.testmod(verbose = True)
    
