def sort3perm(x,y,z):
    '''
    Devuelve los valores de sus parámetros ordenados crecientemente.

    >>> sort3perm(1,2,3)
    (1, 2, 3)
    >>> sort3perm(1,3,2)
    (1, 2, 3)
    >>> sort3perm(2,1,3)
    (1, 2, 3)
    >>> sort3perm(2,3,1)
    (1, 2, 3)
    >>> sort3perm(3,1,2)
    (1, 2, 3)
    >>> sort3perm(3,2,1)
    (1, 2, 3)
    '''
    if x<=y<=z : return x,y,z
    if x<=z<=y : return x,z,y
    if y<=x<=z : return y,x,z
    if y<=z<=x : return y,z,x
    if z<=x<=y : return z,x,y
    return z, y, x


if __name__ == "__main__":
    import doctest
    doctest.testmod(verbose = True)
